Subject: bug#33728: 27.0.50; [HarfBuzz] cursor flickering or blinking very fast

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Dec 2018 21:40:37 +0200

> From: [email-masked]
> Date: Thu, 13 Dec 2018 13:33:23 -0500
> 
> 
> When I compile Emacs using the harfbuzz branch, my cursor (which is a
> filled box) seems to be flickering or blinking very fast.

Thanks for trying the branch, but in the future please CC Mohammad
Nasirifar <[email-masked]> on any bug reports regarding that
branch, as I asked one emacs-devel.

> In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.1)
>  of 2018-12-13 built on amun
> Repository revision: 981b3d292aff49452c2b5f0217b57ec1a2829a8b
> Repository branch: harfbuzz
> Windowing system distributor 'The X.Org Foundation', version 11.0.12003000
> System Description: Arch Linux
> 
> Recent messages:
> Omitting...
> (Nothing to omit)
> Omitting...
> Omitted 2 lines.
> Parinfer: Paren Mode, use C-x p to switch to Indent Mode.
> scroll-up-command: End of buffer [13 times]
> scroll-down-command: Beginning of buffer
> Mark set
> Mark saved where search started
> Making completion list... [2 times]
> 
> Configured using:
>  'configure --prefix=/home/jvshahid/bin/emacs-harbuzz --with-xpm=no
>  --with-jpeg=no --with-gif=no --with-tiff=no'
> 
> Configured features:
> PNG RSVG SOUND GPM DBUS GSETTINGS GLIB NOTIFY INOTIFY ACL GNUTLS LIBXML2
> FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS
> LIBSYSTEMD JSON LCMS2 GMP
> 
> Important settings:
>   value of $LC_COLLATE: en_US.UTF-8
>   value of $LC_CTYPE: en_US.UTF-8
>   value of $LC_MESSAGES: en_US.UTF-8
>   value of $LC_MONETARY: en_US.UTF-8
>   value of $LC_NUMERIC: en_US.UTF-8
>   value of $LC_TIME: en_US.UTF-8
>   value of $LANG: en_US.UTF-8
>   locale-coding-system: utf-8-unix
> 
> Major mode: Emacs-Lisp
> 
> Minor modes in effect:
>   diff-auto-refine-mode: t
>   parinfer-mode: t
>   global-auto-complete-mode: t
>   auto-complete-mode: t
>   show-paren-mode: t
>   display-time-mode: t
>   display-battery-mode: t
>   global-auto-revert-mode: t
>   winner-mode: t
>   flx-ido-mode: t
>   straight-use-package-mode: t
>   straight-package-neutering-mode: t
>   tooltip-mode: t
>   global-eldoc-mode: t
>   eldoc-mode: t
>   mouse-wheel-mode: t
>   file-name-shadow-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   column-number-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
> 
> Load-path shadows:
> /home/jvshahid/.emacs.d/straight/build/cl-lib/cl-lib hides /home/jvshahid/bin/emacs-harbuzz/share/emacs/27.0.50/lisp/emacs-lisp/cl-lib
> /home/jvshahid/.emacs.d/straight/build/seq/seq hides /home/jvshahid/bin/emacs-harbuzz/share/emacs/27.0.50/lisp/emacs-lisp/seq
> /home/jvshahid/.emacs.d/straight/build/cl-generic/cl-generic hides /home/jvshahid/bin/emacs-harbuzz/share/emacs/27.0.50/lisp/emacs-lisp/cl-generic
> 
> Features:
> (shadow sort mail-extr emacsbug message rmc puny format-spec rfc822 mml
> mml-sec password-cache epa derived epg epg-config gnus-util rmail
> rmail-loaddefs time-date mm-decode mm-bodies mm-encode mail-parse
> rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
> ietf-drums mm-util mail-prsvr mail-utils misearch multi-isearch vc-git
> diff-mode dired-aux parinfer-ext paredit parinfer ediff-merg ediff-wind
> ediff-diff ediff-mult ediff-help ediff-init ediff-util ediff mode-local
> parinferlib flycheck json map find-func dash flymake-proc flymake
> auto-complete-config auto-complete popup lsp-rust-autoloads
> rust-mode-autoloads exwm-randr xcb-randr exwm-config exwm exwm-input
> xcb-keysyms xcb-xkb exwm-manage exwm-floating xcb-cursor xcb-render
> exwm-layout exwm-workspace exwm-core xcb-ewmh xcb-icccm xcb xcb-xproto
> xcb-types xcb-debug exwm-autoloads xelb-autoloads cl-generic-autoloads
> rect dired-x dired dired-loaddefs tango-dark-theme warnings server paren
> time battery cus-start cus-load autorevert filenotify winner flx-ido
> advice flx ido seq seq-25 edmacro kmacro edit-indirect-autoloads
> parinfer-autoloads ginkgo-mode-autoloads pianobar-autoloads
> concourse-mode-autoloads hierarchy-autoloads robe-autoloads
> inf-ruby-autoloads rvm-autoloads git-link-autoloads
> company-lsp-autoloads company-autoloads lsp-java-autoloads ht-autoloads
> f-autoloads lsp-ui-autoloads dash-functional-autoloads
> lsp-mode-autoloads flx-ido-autoloads flx-autoloads wgrep-autoloads
> ac-cider-autoloads request-autoloads helm-autoloads helm-core-autoloads
> paredit-autoloads flycheck-clojure-autoloads flycheck-autoloads
> cider-autoloads sesman-autoloads seq-autoloads queue-autoloads
> clojure-mode-autoloads go-rename-autoloads ace-window-autoloads
> avy-autoloads dockerfile-mode-autoloads s-autoloads
> yasnippet-snippets-autoloads yasnippet-autoloads
> go-autocomplete-autoloads auto-complete-autoloads go-eldoc-autoloads
> protobuf-mode-autoloads markdown-mode-autoloads go-guru-autoloads
> arduino-mode-autoloads ede/auto cl-seq eieio eieio-core eieio-loaddefs
> spinner-autoloads yaml-mode-autoloads etags-select-autoloads
> magit-autoloads magit-popup-autoloads git-commit-autoloads
> with-editor-autoloads ghub-autoloads treepy-autoloads graphql-autoloads
> dash-autoloads async-autoloads projectile-autoloads pkg-info-autoloads
> epl-autoloads eshell-z-autoloads go-mode-autoloads debbugs-autoloads
> finder-inf popup-autoloads cl-lib-autoloads straight-autoloads rx
> compile comint ansi-color ring cl-extra straight info autoload
> radix-tree lisp-mnt easy-mmode pcase subr-x byte-opt checkdoc thingatpt
> help-mode easymenu elec-pair cl-macs gv cl-loaddefs cl-lib bytecomp
> byte-compile cconv mule-util tooltip eldoc electric uniquify ediff-hook
> vc-hooks lisp-float-type mwheel term/x-win x-win term/common-win x-dnd
> tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
> newcomment text-mode elisp-mode lisp-mode prog-mode register page
> menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock
> font-lock syntax facemenu font-core term/tty-colors frame cl-generic
> cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
> korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
> european ethiopic indian cyrillic chinese composite charscript charprop
> case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
> cl-preloaded nadvice loaddefs button faces cus-face macroexp files
> text-properties overlay sha1 md5 base64 format env code-pages mule
> custom widget hashtable-print-readable backquote threads dbusbind
> inotify lcms2 dynamic-setting system-font-setting font-render-setting
> move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)
> 
> Memory information:
> ((conses 16 291123 290885)
>  (symbols 48 39754 10)
>  (strings 32 88162 46905)
>  (string-bytes 1 3041891)
>  (vectors 16 50442)
>  (vector-slots 8 1151097 225990)
>  (floats 8 130 790)
>  (intervals 56 707 247)
>  (buffers 992 21))
> 
> 
> 
>